import { createRouter, createWebHashHistory } from 'vue-router'

const router = createRouter({
  history: createWebHashHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      redirect: '/hour-line',
      component: () => import('@/views/HomeView.vue'),
      children: [
        {
          path: 'hour-line',
          name: 'hour-line',
          component: () => import('@/end/EndDesign.vue')
        },
        {
          path: 'day-line',
          name: 'day-line',
          component: () => import('@/end/DayDesign.vue')
        },
        {
          path: 'week-line',
          name: 'week-line',
          component: () => import('@/end/DayDesign.vue')
        },
        {
          path: 'month-line',
          name: 'month-line',
          component: () => import('@/end/DayDesign.vue')
        },
        {
          path: 'year-line',
          name: 'year-line',
          component: () => import('@/end/DayDesign.vue')
        },
      ]
    },
    {
      path: '/test',
      name: 'test',
      component: () => import('@/components/NewFather.vue'),
    }

  ],
})

export default router
